Get the user's workspaces
curl --request GET \
--url https://api.snitcher.com/v1/workspaces \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.snitcher.com/v1/workspaces"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.snitcher.com/v1/workspaces', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"current_page": 1,
"last_page": 10,
"per_page": 15,
"total": 150,
"next_page_url": "https://api.example.com/v1/workspaces?page=2",
"prev_page_url": null,
"first_page_url": "https://api.example.com/v1/workspaces?page=1",
"last_page_url": "https://api.example.com/v1/workspaces?page=10",
"path": "https://api.example.com/v1/workspaces",
"from": 1,
"to": 15,
"data": [
{
"uuid": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"name": "ACME Inc.",
"url": "https://acme.com",
"tracking_script_id": "s123456789",
"tracking_script_snippet": "<script>...</script>",
"available_tags": [
"marketing",
"design"
],
"status": "active",
"usage_limit": "1000"
}
],
"success": true
}Workspaces
Get the user's workspaces
GET
/
v1
/
workspaces
Get the user's workspaces
Authorizations
Enter your personal access token (PAT) to authenticate
Query Parameters
The page number for pagination
Example:
1
The number of organisations per page (1-1000)
Required range:
1 <= x <= 1000Example:
10
Response
List of workspaces
Example:
1
Example:
10
Example:
15
Example:
150
Example:
"https://api.example.com/v1/workspaces?page=2"
Example:
null
Example:
"https://api.example.com/v1/workspaces?page=1"
Example:
"https://api.example.com/v1/workspaces?page=10"
Example:
"https://api.example.com/v1/workspaces"
Example:
1
Example:
15
Show child attributes
Show child attributes
Example:
true